org.apache.ivy.core.resolve

## Class IvyNodeBlacklist

- java.lang.Object
- - org.apache.ivy.core.resolve.IvyNodeBlacklist

    public class IvyNodeBlacklist
    extends java.lang.Object

Information about a blacklisted module, providing context information in which it has been blacklisted

### Constructor Summary

Constructors
Constructor and Description
`IvyNodeBlacklist(IvyNode conflictParent, IvyNode selectedNode, IvyNode evictedNode, IvyNode blacklistedNode, java.lang.String rootModuleConf)`

### Method Summary

Methods
`IvyNode` `getBlacklistedNode()`
`IvyNode` `getConflictParent()`
`IvyNode` `getEvictedNode()`
`java.lang.String` `getRootModuleConf()`
`IvyNode` `getSelectedNode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IvyNodeBlacklist

    public IvyNodeBlacklist(IvyNode conflictParent,
                    IvyNode selectedNode,
                    IvyNode evictedNode,
                    IvyNode blacklistedNode,
                    java.lang.String rootModuleConf)

### Method Detail

#### getConflictParent

    public IvyNode getConflictParent()

#### getSelectedNode

    public IvyNode getSelectedNode()

#### getEvictedNode

    public IvyNode getEvictedNode()

#### getBlacklistedNode

    public IvyNode getBlacklistedNode()

#### getRootModuleConf

    public java.lang.String getRootModuleConf()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`